Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.request
Class PortletRenderRequest

    java.lang.Object
      org.jboss.portal.portlet.controller.request.ControllerRequest
          org.jboss.portal.portlet.controller.request.ContainerRequest
              org.jboss.portal.portlet.controller.request.PortletRequest
                  org.jboss.portal.portlet.controller.request.PortletRenderRequest

    public class PortletRenderRequest

extends PortletRequest

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`PortletRenderRequest(java.lang.String windowId, PortletWindowNavigationalState windowNavigationalState, java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalStateChanges, PortletPageNavigationalState pageNavigationalState)`

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPublicNavigationalStateChanges()`

Methods inherited from class org.jboss.portal.portlet.controller.request.PortletRequest
`getPageNavigationalState, getWindowNavigationalState`

Methods inherited from class org.jboss.portal.portlet.controller.request.ContainerRequest
`getWindowId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletRenderRequest

    public PortletRenderRequest(java.lang.String windowId,
                                PortletWindowNavigationalState windowNavigationalState,
                                java.util.Map<java.lang.String,java.lang.String[]> publicNavigationalStateChanges,
                                PortletPageNavigationalState pageNavigationalState)

Method Detail

### getPublicNavigationalStateChanges

    public java.util.Map<java.lang.String,java.lang.String[]> getPublicNavigationalStateChanges()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.